### This file will be updated periodically between now (whenever you are seeing this)
### and April 8th (the day before the workshop!)
#####
### If you download this file now, please be sure to check back for updates
### as the conference approaches.


### TO NOTE: Anything preceded by at # is a 'comment'
#   that means it is something ignored by R
#   which means comments are usually something like this --
#   informative statements used for later reference, such as
#   reminding yourself what you did and why!


##let's check what is in our workspace!:
ls()


##some basics to understand your data
	###
	#	How big are the data sets?
	###
		##first rows
nrow(br.data)
nrow(br.col.des)
nrow(br.row.des)
nrow(br.demog)
		##then columns
ncol(br.data)
ncol(br.col.des)
ncol(br.row.des)
ncol(br.demog)
		##this is a bit better, isn't it?
dim(br.data)
dim(br.col.des)
dim(br.row.des)
dim(br.demog)

	###
	#	What are my data sets made of?
	###
		#first columns
colnames(br.data)
colnames(br.col.des)
colnames(br.row.des)
colnames(br.demog)
		#then rows
rownames(br.data)
rownames(br.col.des)
rownames(br.row.des)
rownames(br.demog)


	###
	#	What's in my data?
	###
summary(br.data)
		##for a design matrix -- summary is not your friend!
colSums(br.row.des) ##how many beers per beer group?
rowSums(br.col.des) ##how many columns per person?
		
	###
	#	What about a summary of just bitterness across individuals?
	###
summary(br.data[,c("1013_H.Bitter","1015_H.Bitter","1018_H.Bitter","246_H.Bitter","413_H.Bitter","414_H.Bitter","4610_H.Bitter","58_H.Bitter")])
	###
	#	What about a particular beer?
	###
summary(br.data["Lost.Gold",])

