### This file will be updated periodically between now (whenever you are seeing this)
### and April 8th (the day before the workshop!)
#####
### If you download this file now, please be sure to check back for updates
### as the conference approaches.


### TO NOTE: Anything preceded by at # is a 'comment'
#   that means it is something ignored by R
#   which means comments are usually something like this --
#   informative statements used for later reference, such as
#   reminding yourself what you did and why!


	###
	# Let's start fresh!
	###
		##load the packages
library(TExPosition)			
		##clean the workspace
rm(list=ls())
		##get the data back
load('br.data.rda')
load('br.col.des.rda')
load('br.row.des.rda')
load('br.demog.rda')


	##get the MFA functions back.
source('functions_for_MFA.R')

	##check the workspace:
ls()

	###NOTE: The MFA functions we've made for you will generate a lot of output and pictures. It's everything (and more) than you would need.

	
	##This MFA *does* include the table normalization. Essentially, we now make the contribution of each table equal in the entirety of the analysis.
beer.mfa.res <- baseMFA(br.data,br.col.des,br.row.des)
		##That's much better!
		